Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.MarshalByRefObject System.IDisposable System.Runtime.Serialization.ISerializable

Represents a response received from a Uniform Resource Identifier (URI).

is the base class from which protocol-specific response classes, such as , are derived.

Classes that derive from are required to override the following members in the class:

: Gets or sets the content length of the data being received.
: Gets or sets the media type of the data being received.
: Returns a that contains data from the current host.
: Gets a containing the URI of the resource associated with the current instance.
: Gets or sets the collection of header name/value pairs associated with the current instance.

Applications can participate in request/response transactions in a protocol-agnostic manner using instances of the class while protocol-specific classes derived from

carry out the details of the request.

Applications do not create objects directly; they are created by calling .

The following example creates a instance from a .

`using System; using System.Net; public class WebResponseExample { public static void Main() { // Initialize the WebRequest. WebRequest myRequest = WebRequest.Create("http://www.contoso.com"); // Return the response. WebResponse myResponse = myRequest.GetResponse(); // Code to use the WebResponse goes here. // Close the response to free resources. myResponse.Close(); } }`
- Constructor

  Constructs a new instance of the class.

  This constructor is called only by classes that derive from .

  To obtain a instance, use the method; do not use this constructor.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Closes the response stream.

  This method is required to free the connection used by the returned by a call to .

  The class is abstract and does not provide an implementation for this method. This method throws .

  This method is required to be overridden in derived classes to close the response stream and free resources allocated by the current instance.

  Use this method or to clean up the resources used by a .

  This method is not implemented in the derived class. 0 1.0.5000.0 2.0.0.0
- Property
  System.Int64

  Gets or sets the content length of the data received from the server.

  A containing the number of bytes returned from the resource.

  This property contains the number of bytes of data in the response to the request associated with the current instance. For request methods that contain header information, the does not include the length of the header information. The value of this property is set by the Content-Length header received in the response.

  The class is abstract and does not provide an implementation for this property. This property throws .

  This property is required to be overridden by classes that inherit from to set the content length as appropriate for the derived class.

  Use this property to determine the number of bytes in the response.

  This property is not implemented in the derived class. 0 1.0.5000.0 2.0.0.0
- Property
  System.String

  Gets or sets the media type of the data received.

  A that contains the media type of the response data.

  The media type is typically the MIME encoding of the content.

  As described above.

  The class is abstract and does not provide an implementation for this property. This property throws .

  This property is required to be overridden by classes that inherit from .

  Use this property to get the media type of the response.

  This property is not implemented in the derived class. 0 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.IO.Stream

  Returns a that contains data from the current host.

  A for reading data from the current host.

  This method is required to return a from the host specified by the property of the current instance.

  This method throws .

  This method is required to be overridden by classes that inherit from .

  Use this method to open a connection to the current host. To close the stream when it is no longer needed, in order to prevent the exhaustion of system resources, invoke either the or methods.

  This method is not implemented in the derived class. 0 1.0.5000.0 2.0.0.0
- Property
  System.Net.WebHeaderCollection

  Gets the collection of header name/value pairs associated with the current instance.

  A containing the header name/value pairs associated with the current instance.

  This property contains a instance containing the header information returned in the response from the resource.

  This property is read-only.

  The class is abstract and does not provide an implementation for this property. This property throws .

  This property is required to be overridden by classes that inherit from .

  Use this property to retrieve the header information received with the response.

  This property is not implemented in the derived class. 0 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.Uri

  Gets the URI of the resource associated with the current instance.

  A containing the URI of the resource associated with the current response.

  This property is read-only.

  This property returns the URI that provided the response information in the current instance. If the method protocol used in the associated permits redirection, the value of this property might differ from the property of the request.

  The class is abstract and does not provide an implementation for this property. This property throws .

  This property is required to be overridden by classes that inherit from .

  Use this property to determine the URI that originated the response.

  This property is not implemented in the derived class. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void Implemented to support the interface. [Note: For more information, see .] To be added. 0 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
0